Subject: RE: [Sipping] Mid-call DTMF hand-off between SIP peers

From: "Eric Burger" <[email-masked]>
Date: Wed, 2 Oct 2002 16:32:29 -0400

Real soon now!

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Steve Fisher
> Sent: Tuesday, September 24, 2002 11:48 AM
> To: 'Jonathan Rosenberg'; 'Jain, Rajnish (Rajnish)'
> Cc: [email-masked]; 'Twomey, Michael S (Michael)';
> [email-masked]; 'Saverino, Victor (Victor)'; 'Ellis, Timothy W
> (Tim)'
> Subject: RE: [Sipping] Mid-call DTMF hand-off between SIP peers
> 
> 
> Jonathan,
> 
> I was wondering if you (or anyone on the design team) could give us on
> the mailing list some sense of when the team might be ready to share
> with us a proposal for mid-call DTMF detection and notification. Many of
> us are eagerly awaiting the results of your work!
> 
> Thanks!
> Steve
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Jonathan Rosenberg
> Sent: Thursday, September 12, 2002 2:38 PM
> To: Jain, Rajnish (Rajnish)
> Cc: [email-masked]'; Twomey, Michael S (Michael);
> [email-masked]'; Saverino, Victor (Victor); Ellis, Timothy W
> (Tim)
> Subject: Re: [Sipping] Mid-call DTMF hand-off between SIP peers
> 
> 
> inline.
> 
> Jain, Rajnish (Rajnish) wrote:
>  > I briefly recall that a few weeks back, a small group was formed w/in
> > SIPPING that had the ownership of concluding "a" technique for  >
> mid-call DTMF hand-off between SIP peers. Some of the options on the  >
> table at that time included the following:  >  > + DTMF conveyance w/in
> SIP INFO + DTMF conveyance w/in RFC 2833  > multi-unicast
> 
> Actually, the drafts on the table were:
> http://www.ietf.org/internet-drafts/draft-rosenberg-sipping-markup-00.tx
> t
> http://www.ietf.org/internet-drafts/draft-culpepper-sipping-app-interact
> -reqs-01.txt
> http://www.ietf.org/internet-drafts/draft-fairlie-sipping-netapp-session
> -00.txt
> http://www.ietf.org/internet-drafts/draft-culpepper-sip-key-events-01.tx
> t
> 
> none of which proposes to use rfc2833 to convey DTMF to *applications*. 
> RFC 2833 is still used as a way to convey DTMF to the recpient of the 
> media stream.
> 
> Anyway, the design team has been meeting regularly for a few weeks, and 
> has made a lot of progress on the general framework. My perception is 
> that we have converged on a markup-style approach, incorporating some of
> 
> the push/termination concepts from Robert's netapp draft, passing a URL 
> in a header for fetching the markup (with the posibility that the URI is
> 
> a CID URI for inband markup in the body). The primary points of 
> discussion right now are usage of a SIP vs. HTTP URI for posting the 
> results of the markup, and also on the scope of a DML-like markup
> language.
> 
> Of course, this is my take on the progress so far and does not represent
> 
> an official design team output. We are still debating things. Of course,
> 
> with all design teams, any results are subject to broader working group 
> consensus and buy in.
> 
> Thanks,
> Jonathan R.
> -- 
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip Use
> [email-masked] for new developments of core SIP
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP